Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ChannelIncorporationFilter

    java.lang.Object
      org.jasig.portal.utils.SAX2FilterImpl
          org.jasig.portal.ChannelIncorporationFilter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

    public class ChannelIncorporationFilter

extends SAX2FilterImpl

A filter that incorporates content rendered by the channels in to the main transformation stream. TODO: there are enhancements in CharacterCachingChannelIncorporationFilter as of uPortal 2.5.1 to support dynamic channel titles. Do those enhancements need to be copied here? Or is the functionality of this class duplicated by a degenerate (non-caching) configuration of CharacterCachingChannelIncorporationFilter, such that it would be a worthwhile reduction of code duplication to drop this class?

Version:
  $Revision: 1.13.4.1 $
Author:
  Peter Kharchenko

Field Summary
`private java.lang.String` | `channelSubscribeId`
`(package private) ChannelManager` | `cm`
`private boolean` | `insideChannelElement`

Fields inherited from class org.jasig.portal.utils.SAX2FilterImpl
`contentHandler, dtdHandler, entityResolver, errorHandler, lexicalHandler, locator, log`

Constructor Summary
`ChannelIncorporationFilter(ChannelManager chanm)`
`ChannelIncorporationFilter(org.xml.sax.ContentHandler handler, ChannelManager chanm)`
`ChannelIncorporationFilter(org.xml.sax.XMLReader parent, ChannelManager chanm)`

Method Summary
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Filter an end element event.
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Filter a start element event.

Methods inherited from class org.jasig.portal.utils.SAX2FilterImpl
`characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setAllHandlers, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setParent, setProperty, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### insideChannelElement

    private boolean insideChannelElement

### cm

    ChannelManager cm

### channelSubscribeId

    private java.lang.String channelSubscribeId

Constructor Detail

### ChannelIncorporationFilter

    public ChannelIncorporationFilter(ChannelManager chanm)

### ChannelIncorporationFilter

    public ChannelIncorporationFilter(org.xml.sax.XMLReader parent,
                                      ChannelManager chanm)

### ChannelIncorporationFilter

    public ChannelIncorporationFilter(org.xml.sax.ContentHandler handler,
                                      ChannelManager chanm)

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter a start element event.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `SAX2FilterImpl`
  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
    `atts` - The element's attributes.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter an end element event.

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `SAX2FilterImpl`
  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD